VHFFS Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000105vhffs-userspublic2005-01-15 03:402015-02-23 08:15
Reporterbaud 
Assigned Tosoda 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Summary0000105: ajouter la gestion du https
DescriptionGérer le https pour les sites qui le demanderont.

C'est possible mais avec un certificat unique pour tout le monde, AFAIK.
En gros il y aura de l'encryption mais pas d'authentification aupres d'un CA.

revoir additional info et les liens :

http://httpd.apache.org/docs-2.0/vhosts/ [^] et
http://httpd.apache.org/docs-2.0/ssl/ssl_faq.html [^]

En fait, on avait prévu de gérer le https dans une prochaine version de VHFFS, genre la 4.1.
Additional Informationil faut mettre à jour le ssl.conf, voire gérer ça avec des include pour chaque site qui le demande... (nan ya pas de virtual host et ça risque d'être dur de gérer un certificat par site... à étudier)

Ce qui va être galère c'est l'automatisation de la création / gestion des certificats :
- certains se contenteront de certificats auto-générés (ça doit pouvoir s'automatiser...)
- d'autres souhaiteront un certificat avec l'autorité de certification de leur choix (il faut pouvoir le placer sur le serveur...) => dépôt via le panel ?
- il faut prévoir les mises à jour à expiration du certificat...
le souci que je vois c'est l'arborescence à utiliser, mais si ça se trouve il "suffit" de placer les bons fichiers dans l'arbo accessible par ftp...
(faudrait pas trouver une faille, genre débordement de tampon, au chargement des certificats...)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000306)
gradator (administrator)
2007-01-19 02:47

Pas possible de faire du https en mutu de masse, un certificat pour tout le monde est bien suffisant, sinon c'est du vrai mutu avec une IP/site.

- Issue History
Date Modified Username Field Change
2005-01-15 03:40 baud New Issue
2005-01-17 01:14 soda Status new => assigned
2005-01-17 01:14 soda Assigned To => soda
2007-01-19 02:47 gradator Status assigned => resolved
2007-01-19 02:47 gradator Resolution open => no change required
2007-01-19 02:47 gradator Note Added: 0000306
2015-02-23 08:15 gradator Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker